Page MenuHomePhabricator

Newcomer tasks: pageview info doesn't fit article card
Closed, ResolvedPublic

Description

See screenshot (from Chrome dev console)

We should change the copy from "4 views by readers (past 60 days)" to "4 visits (past 60 days)".

Details

Related Gerrit Patches:
mediawiki/extensions/GrowthExperiments : masterSuggested edits: Update copy for pageviews component
mediawiki/extensions/GrowthExperiments : masterSuggested Edits: Display pageview info as a single line

Event Timeline

Urbanecm created this task.Nov 14 2019, 1:07 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 14 2019, 1:07 PM
MMiller_WMF closed this task as Declined.Nov 15 2019, 1:51 AM
MMiller_WMF added a subscriber: MMiller_WMF.

This issue is known and being addressed in T237483: Newcomer Tasks: make text extracts display wrapped text .

Etonkovidova reopened this task as Open.Nov 19 2019, 5:22 PM
Etonkovidova added a subscriber: Etonkovidova.

Re-opening the task since T237483 does not address this particular issue.

There is still an issue with placing pageviews correctly (as per the comment - https://phabricator.wikimedia.org/T237483#5662244 and T238322).
The examples from production:

Etonkovidova renamed this task from Pageview info doesn't fit in Czech at mobile to Pageview info doesn't fit article card.Nov 19 2019, 5:26 PM
MMiller_WMF renamed this task from Pageview info doesn't fit article card to Newcomer tasks: pageview info doesn't fit article card.Nov 19 2019, 5:51 PM
MMiller_WMF added subscribers: RHo, Catrope, PPham and 4 others.

@RHo -- could you take a look at this. I don't think this is an alignment issue. It's just that we thought the whole thing would fit in one line and not wrap. What do you recommend? We could theoretically shorten the text.

RHo added a comment.Nov 19 2019, 7:37 PM

@RHo -- could you take a look at this. I don't think this is an alignment issue. It's just that we thought the whole thing would fit in one line and not wrap. What do you recommend? We could theoretically shorten the text.

I think we should shorten the copy of pageviews and also make it so that it is similarly truncated to one line.

Based on the screenshot in the description, there is also an issue with the task explanation display when the task title or difficulty tag is too long.
May I propose amending the css on the class .suggested-edits-title-and-info to fix this issue even for longer text copy here? Please see below:

.suggested-edits-title-and-info {
display: flex;
  /* justify-content: center;  */ 
  /* align-content: center;   */ 
  flex-wrap: wrap;
  padding-bottom: 8px;
}

{F31102319}

@Urbanecm @PPham -- as you can see in the screenshot in the task description, your translations of the phrase "4 views by readers (last 60 days)" is too long to fit in the card. We want to change the text so that it fits. The reason it doesn't just say "4 views (last 60 days)" is because we think that users may think that means that 4 other newbies have viewed the task. But what it really means is that the article has 4 pageviews total.

One alternative I can think of is "4 visits (last 60 days)". But I want to ask you -- do you see ways to write or translate this so that it is shorter?

PPham added a comment.Nov 20 2019, 1:31 AM

@MMiller_WMF Sorry Marshall but that is the only way if you want to include the "by reader". The "4 visits (last 60 days)" would be "4 lượt ghé thăm (60 ngày qua)" which is a little bit shorter compared to "4 lượt xem bởi người đọc (60 ngày qua)". I think that using visits would be fine too.

PPham moved this task from Backlog to Cần để ý on the User-PPham board.Nov 20 2019, 1:39 AM
Tgr added a comment.Nov 20 2019, 4:57 AM

Also, we use raw numbers here, right? That could be up to 9 characters (million + two separators) for very popular pages.

RHo added a comment.Nov 20 2019, 11:43 AM

Also, we use raw numbers here, right? That could be up to 9 characters (million + two separators) for very popular pages.

@MMiller_WMF - ahhh to this point, can we use short numbers here up to 1 decimal point?

Tgr added a comment.Nov 20 2019, 9:22 PM

Currently we'd still show the full number for Korean which uses ten thousands based grouping of numbers. We should probably fix that first.

@RHo @Tgr -- I kind of think the problem here is that we are attempting to repeat the same information on every card. Like the reason we have that long message is so that the user understands that (a) these are page views by readers and not views by other newcomer editors trying to do suggested edits, and (b) that the pageviews are the past 60 days. The user only needs to learn that once, and then they would be served fine by just "254,323 views".

@RHo -- can you think of any design treatment that just teaches the user what this number means once so that we can save the space for all the rest of the times the user sees it?

RHo added a comment.Nov 21 2019, 5:49 PM

@RHo -- can you think of any design treatment that just teaches the user what this number means once so that we can save the space for all the rest of the times the user sees it?

– Basically no, I cannot think of an elegant way to do this. One way might be to show this long explanation as a tooltip that the user must dismiss after reading to continue. However this would draw unnecessary over the top attention to this small piece of info, and you really can't guarantee people are reading it before dismissing, that they won't forget about it when seeing the text again maybe a week later.

TL:DR; My suggestion is to go for the simpler option of updating the copy to be <#> visits per week. Note that CX uses the same notation so there is precedent for this:

@RHo -- the reason we made it "past 60 days" is because that's the same time period the Impact module uses. (a) do you think the two modules should use the same time period?, and (b) what do you think is the right time period (keeping in mind that our smaller wikis may end up with sadly small numbers for short timeframes)?

RHo added a comment.Nov 21 2019, 11:58 PM

@RHo -- the reason we made it "past 60 days" is because that's the same time period the Impact module uses. (a) do you think the two modules should use the same time period?, and (b) what do you think is the right time period (keeping in mind that our smaller wikis may end up with sadly small numbers for short timeframes)?

Oh that's right. I do think we should make the time period consistent in the Impact module as well as other parts of Newcomer homepage. How about ~<#> visits per month as a compromise?

@MMiller_WMF this task is in ready for development but after reading through the comment thread and the task description I'm not sure what the next step is here. Could you please clarify?

The issue with spanning more than one line is addressed in one of the patches for T238280 (item M), where we use ellipses to hide text that extends past the width of the module container.

Change 555963 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/GrowthExperiments@master] Suggested Edits: Display pageview info as a single line

https://gerrit.wikimedia.org/r/555963

@kostajh -- reading through everything here, I think that what this all boils down to is changing the copy from "4 views by readers (past 60 days)" to "4 visits (past 60 days)". There were several other suggestions, but I don't think they're worth the work. I'll change the task description so that it shows that the only required change is the copy.

MMiller_WMF updated the task description. (Show Details)Dec 9 2019, 8:03 PM

Change 556059 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/GrowthExperiments@master] Suggested edits: Update copy for pageviews component

https://gerrit.wikimedia.org/r/556059

Change 555963 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Suggested Edits: Display pageview info as a single line

https://gerrit.wikimedia.org/r/555963

kostajh moved this task from QA to Code Review on the Growth-Team (Current Sprint) board.

Oops, one patch still needs to be reviewed + merged.

Change 556059 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Suggested edits: Update copy for pageviews component

https://gerrit.wikimedia.org/r/556059

Etonkovidova moved this task from QA to Design Review on the Growth-Team (Current Sprint) board.EditedDec 12 2019, 12:48 AM
betalabstestwiki

RTL (arwiki)
arwiki betalabs|arwiki

The big numbers for pageviews will be displayed as following (although I did not see big pageviews numbers in cswiki or arwiki):

In kowiki (checked in betalabs) the pageviews number is placed at the end of the line - if numbers are big, they will be abbreviated:

RHo added a comment.Dec 12 2019, 1:24 PM

hi @kostajh - can we show the whole string of text on hover? Maybe like so:

betalabstestwiki

RTL (arwiki)
arwiki betalabs|arwiki

The big numbers for pageviews will be displayed as following (although I did not see big pageviews numbers in cswiki or arwiki):


In kowiki (checked in betalabs) the pageviews number is placed at the end of the line - if numbers are big, they will be abbreviated:

– This seems not ideal. @MMiller_WMF could an easy fix be to add a note in the korean translation to always put the pageview number first?

There are also a few other display issues which is covered under point M. in T238280

MMiller_WMF closed this task as Resolved.Dec 12 2019, 5:23 PM
MMiller_WMF added a subscriber: revi.

@RHo -- looking at the work we have coming up and the amount of time we've spent on this element, I think we'll need to leave it the way it is for now. Could you please file a separate issue with the idea to show the full string on hover, and we'll prioritize it separately?

Regarding the number in Korean, I checked with @revi yesterday, and he said that that's how Korean grammar works -- the number goes last. @revi -- do you see another way to translate or deal with this issue:

hi @kostajh - can we show the whole string of text on hover? Maybe like so:

Sorry I never replied -- sure we could do that for desktop. What about for mobile users? (And per @MMiller_WMF let's switch to a new task for that please 😺 )